Core service layer.

### Hierarchy

- GBCoreService

### Implements

- IGBCoreService

## Index

### Constructors

- constructor

### Properties

- dialect
- sequelize

### Methods

- initDatabase
- loadInstance
- loadInstances
- syncDatabaseStructure

## Constructors

### constructor

- new GBCoreService(): GBCoreService

- - Defined in deploy/core.gbapp/services/GBCoreService.ts:61

  #### Returns GBCoreService

## Properties

### dialect

dialect: string

- Defined in deploy/core.gbapp/services/GBCoreService.ts:61

Dialect used. Tested: mssql and sqlite.

### sequelize

sequelize: Sequelize

- Defined in deploy/core.gbapp/services/GBCoreService.ts:57

## Methods

### initDatabase

- initDatabase(cb: any): void

- - Defined in deploy/core.gbapp/services/GBCoreService.ts:68

  Get config and connect to storage.

  #### Parameters

  - ##### cb: any

  #### Returns void

### loadInstance

- loadInstance(botId: string, cb: GBServiceCallback<IGBInstance>): void

- - Defined in deploy/core.gbapp/services/GBCoreService.ts:155

  Loads just one Bot instance.

  #### Parameters

  - ##### botId: string

  - ##### cb: GBServiceCallback<IGBInstance>

  #### Returns void

### loadInstances

- loadInstances(cb: GBServiceCallback<IGBInstance[]>): void

- - Defined in deploy/core.gbapp/services/GBCoreService.ts:131

  Loads all items to start several listeners.

  #### Parameters

  - ##### cb: GBServiceCallback<IGBInstance[]>

    Instances loaded or error info.

  #### Returns void

### syncDatabaseStructure

- syncDatabaseStructure(cb: any): void

- - Defined in deploy/core.gbapp/services/GBCoreService.ts:118

  Calls ORM to sync storage.

  #### Parameters

  - ##### cb: any

  #### Returns void

Generated using TypeDoc